samedi 4 avril 2020    || Inscription
BanniereAlertes
 
 

Notre sélection d'alertes et avis SSI.
Sources : US Cert, Cert EU, Cert FR, Cnil, VulDB.

lundi 22 avril 2019

Eclipse Jetty up to 9.2.26/9.3.25/9.4.15 URL cross site scripting

A vulnerability was found in Eclipse Jetty up to 9.2.26/9.3.25/9.4.15. It has been classified as problematic. This affects code of the component URL Handler. The manipulation with an unknown input leads to a cross site scripting vulnerability. CWE is classifying the issue as CWE-80. This is going to have an impact on integrity. An attacker might be able to inject arbitrary html and script code into the web site. This would alter the appearance and would make it possible to initiate further attacks against site visitors.

The weakness was disclosed 04/22/2019. The advisory is shared at bugs.eclipse.org. This vulnerability is uniquely identified as CVE-2019-10241 since 03/27/2019. It is possible to initiate the attack remotely. Neither technical details nor an exploit are publicly available. The price for an exploit might be around USD $0-$5k at the moment (estimation calculated on 04/23/2019).

There is no information about possible countermeasures known. It may be suggested to replace the affected object with an alternative product.

The entries 133918 and 133919 are pretty similar.

Product

Vendor

Name

CPE 2.3

CPE 2.2

CVSSv3

VulDB Meta Base Score: 4.3
VulDB Meta Temp Score: 4.3

VulDB Base Score: 4.3
VulDB Temp Score: 4.3
VulDB Vector: 🔒
VulDB Reliability: 🔍

CVSSv2

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploiting

Class: Cross site scripting (CWE-80)
Local: No
Remote: Yes

Availability: 🔒
Status: Not defined

Price Prediction: 🔍
Current Price Estimation: 🔒

Threat Intelligence

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Remediation: 🔍

Countermeasures

Recommended: no mitigation known
0-Day Time: 🔒

Timeline

03/27/2019 CVE assigned
04/22/2019 Advisory disclosed
04/23/2019 VulDB entry created
04/23/2019 VulDB last update

Sources

Advisory: bugs.eclipse.org

CVE: CVE-2019-10241 (🔒)
See also: 🔒

Entry

Created: 04/23/2019 08:36 AM
Complete: 🔍

Lien vers l'article source

Auteur: VulDB

Catégories: VulDBNombre de vues: 176

x

Événements SSI